Subject: bug#7771: 23.1; can't turn off font-lock-mode globally

From: "Drew Adams" <[email-masked]>
Date: Mon, 3 Jan 2011 00:13:03 -0800

> compile (and grep) require font-lock to work.

They did not used to require font locking.  This is a regression, a feature
loss, if users are deprived of the Emacs `grep' and `compile' commands if they
simply turn off font-locking.

The added benefit users get from font-lock should just be a plus, not a
requirement.  With font-lock turned off we should just not show any font-lock
highlighting, nothing more.

Font lock was finally turned on by default globally (a change I support
strongly).  But that should just be the _default_ behavior.  Font lock should
not be required in order to compile or grep.

As the person who first added regexp highlighting to the Emacs `grep' command
(my version), I know it is a definite plus.  But the implementation of the
`grep' and `compile' commands should not _require_ font locking for users to be
able to use the commands for their most important purpose.